/// <reference types="node" />
export declare function deleteBrandingLogoFile(): Promise<void>;
export declare function getBrandingLogoBufferAndType(): Promise<BrandingFileInfo>;
export interface BrandingFileInfo {
    url: string;
    buffer?: Buffer;
    contentType?: string;
}
export declare function getBrandingLogo(): Promise<BrandingFileInfo>;
export declare function getBrandingLogoLocation(): Promise<string>;
export declare function getBrandingPalette(): Promise<{
    base: string[];
}>;
